API reference › Service setup › Certifications

Retrieve all certifications or filter by tenant ID

GET /v1/certifications

Scope
settings_service_setup:read
Roles
admin, scheduler

Fetch a paginated list of certifications, with optional filters including search, sorting, and tenant-specific results.

Parameters

Query parameters

NameTypeDescription
searchstring

Search query string to match against name or ID (based on columns).

Example Custom1.

columnsstring

Comma-separated list of columns to apply search on. E.g., name,certificationBody

Example name,certificationBody.

certificationNamestring

Filter by certification name or ID. Accepts both numeric and string inputs.

Example 3.

certificationIdinteger

Filter by specific certification ID.

Example 1.

certificationBodystring

Filter certifications by their certification body ID or name.

Example 7.

requirementstring

Filter by requirement type (e.g., required, optional).

One of: required, optional. Example optional.

expirationRequiredboolean

Filter certifications based on whether expiration date is required.

Example true.

uploadRequiredboolean

Filter certifications based on whether document upload is required.

Example true.

sortBystring

Column to sort by.

Default "name". Example created_at.

sortOrderstring

Sort order direction (asc or desc).

One of: asc, desc. Default "asc".

perPageinteger

Number of results per page.

Default 10. Example 20.

Every call also sends Authorization and X-Tenant-ID; see Getting started.

Example request

Shell
curl "https://api.fetchfido.ai/v1/certifications" \
  -H "Authorization: Bearer $FIDO_API_KEY" \
  -H "X-Tenant-ID: $FIDO_TENANT_ID"

Try it

Responses

200 Certifications retrieved successfully

Certifications retrieved successfully

JSON
{
  "success": true,
  "meta": {
    "currentPage": 1,
    "lastPage": 5,
    "perPage": 10,
    "total": 50
  },
  "data": [
    {
      "id": 1,
      "name": "Example name",
      "certificationBody": 1,
      "certificationBodyName": "Example name",
      "level": 1,
      "requirement": "preferred",
      "expirationRequired": true,
      "uploadRequired": true
    }
  ]
}
Response fields (15)
FieldTypeDescription
successboolean

Example true.

metaobject
meta.currentPageinteger

Example 1.

meta.lastPageinteger

Example 5.

meta.perPageinteger

Example 10.

meta.totalinteger

Example 50.

dataarray of object
data[].idinteger

Example 1.

data[].namestring

Example Example name.

data[].certificationBodyinteger or null

Example 1.

data[].certificationBodyNamestring or null

Example Example name.

data[].levelinteger or null

Example 1.

data[].requirementstring or null

Example preferred.

data[].expirationRequiredboolean

Example true.

data[].uploadRequiredboolean

Example true.

400 Bad request

Invalid request (e.g. bad input type)

JSON
{
  "success": false,
  "message": "Failed to retrieve.",
  "errors": "Error fetching certifications: SQLSTATE[22P02]..."
}
Response fields (3)
FieldTypeDescription
successboolean

Example false.

messagestring

Example Failed to retrieve..

errorsstring

Example Error fetching certifications: SQLSTATE[22P02]....

401 Not signed in

Missing, invalid or expired API key.

JSON
{
  "success": false,
  "message": "Invalid API key. Org and user tier keys must send an X-Tenant-ID header naming the organization the key was issued for.",
  "errors": null,
  "code": "API_KEY_MISSING"
}
Response fields (4)
FieldTypeDescription
successboolean

Example false.

messagestring

Example Invalid API key. Org and user tier keys must send an X-Tenant-ID header naming the organization the key was issued for..

errorsany or null

Null on this status.

codestring

Machine-readable reason, for branching on in client code.

One of: API_KEY_MISSING, API_KEY_INVALID, API_KEY_EXPIRED. Example API_KEY_MISSING.

403 Not allowed

Scope, tenant, IP allow-list or RBAC check failed.

JSON
{
  "success": false,
  "message": "You don't have permission to access this endpoint. This API key is missing the 'settings_service_setup:read' scope.",
  "errors": null,
  "code": ""
}
Response fields (4)
FieldTypeDescription
successboolean

Example false.

messagestring

Example You don't have permission to access this endpoint. This API key is missing the 'settings_service_setup:read' scope..

errorsany or null

Null on this status.

codestring

Always empty on this status.

Example .

429 Too many requests

Rate limit exceeded. See Retry-After.

JSON
{
  "success": false,
  "message": "You've exceeded this API key's rate limit of 120 requests per minute. Try again in 37 seconds.",
  "errors": null,
  "code": "RATE_LIMITED"
}
Response fields (4)
FieldTypeDescription
successboolean

Example false.

messagestring

Example You've exceeded this API key's rate limit of 120 requests per minute. Try again in 37 seconds..

errorsany or null

Null on this status.

codestring

Machine-readable reason, for branching on in client code.

One of: RATE_LIMITED. Example RATE_LIMITED.

500 Server error

Internal server error

JSON
{
  "success": false,
  "message": "Something went wrong!",
  "errors": "An unexpected error occurred."
}
Response fields (3)
FieldTypeDescription
successboolean

Example false.

messagestring

Example Something went wrong!.

errorsstring or null

Null in production. The exception message only when the application runs with debug on.

Example An unexpected error occurred..